
D4Science Infrastructure - Task #8424

Task # 6309 (Closed): D4Science Infrastructure migration to Java 8

Task # 6306 (Closed): Migrate development infrastructure nodes to Java 8

Task # 8380 (Closed): Testing  activities on the development infrastructure with Java 8 

Dataminer service to test : dataminer1-d-d4s.d4science.org.

May 09, 2017 10:26 AM - Maria Di Girolamo

Status: Closed Start date: May 09, 2017

Priority: Normal Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: gCube Infra to Java8   

Infrastructure: Development, Pre-Production   

Description

Host: dataminer1-d-d4s.d4science.org.

History

#1 - May 09, 2017 10:38 AM - Maria Di Girolamo

- Subject changed from Dataminer service to update to Dataminer service to update : dataminer1-d-d4s.d4science.org.

#2 - May 09, 2017 10:40 AM - Maria Di Girolamo

- Copied to Task #8426: Dataminer service to test : dataminer2-d-d4s.d4science.org added

#3 - May 09, 2017 10:41 AM - Maria Di Girolamo

- Copied to deleted (Task #8426: Dataminer service to test : dataminer2-d-d4s.d4science.org)

#4 - May 11, 2017 07:14 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#5 - May 11, 2017 07:19 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

tomcat is running with java 8.

#6 - May 12, 2017 09:26 AM - Maria Di Girolamo

- Status changed from Feedback to Closed

#7 - May 12, 2017 09:34 AM - Maria Di Girolamo

- Subject changed from Dataminer service to update : dataminer1-d-d4s.d4science.org. to Dataminer service to test : dataminer1-d-d4s.d4science.org.

- Status changed from Closed to In Progress

- Assignee changed from _InfraScience Systems Engineer to Lucio Lelii

The service is updated. Please, could, @lucio.lelii@isti.cnr.it, you test the service? 

#8 - May 12, 2017 09:36 AM - Maria Di Girolamo

- % Done changed from 100 to 0

#9 - May 19, 2017 02:29 PM - Lucio Lelii

- Assignee changed from Lucio Lelii to Gianpaolo Coro

#10 - May 19, 2017 04:29 PM - Gianpaolo Coro

The testing has been made automatic with the links reported in #8367. I can do my tests after these ones have been successful.
https://redmine.dev.d4science.org/issues/8367


#11 - May 19, 2017 04:29 PM - Gianpaolo Coro

- Assignee changed from Gianpaolo Coro to Lucio Lelii

#12 - May 19, 2017 04:42 PM - Lucio Lelii

I cannot validate those tests from the ticket reported by @gianpaolo.coro@isti.cnr.it because I'm responsible of the dataminer since few days, for this

motivation I don't know what to do with this ticket, @roberto.cirillo@isti.cnr.it do you have any suggestion? Can I close the ticket only because the

service starts ?

#13 - May 19, 2017 05:18 PM - Lucio Lelii

I ran the getCapability command and it worked, since I'm not responsible for the algorithms I cannot guarantee they work. Can I close this ticket ?

#14 - May 19, 2017 05:48 PM - Gianpaolo Coro

It's either success or exception...no need to understand.

#15 - May 24, 2017 04:28 PM - Roberto Cirillo

- Assignee changed from Lucio Lelii to Gianpaolo Coro

I've deployed dataminer1-d-d4s on RPrototypingLab VRE. Please, @gianpaolo.coro@isti.cnr.it could you test it?

#16 - May 25, 2017 10:45 AM - Gianpaolo Coro

Doing tests right now.

#17 - May 25, 2017 11:29 AM - Gianpaolo Coro

- Assignee changed from Gianpaolo Coro to Roberto Cirillo

I have issues on the dataminer service when interacting with the SDI:

Running the following URL (publishes a CSV on Geoserver):

http://dataminer1-d-d4s.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=3a8e6a79-1ae0-4

13f-9121-0d59e5f2cea2-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducere

rs.SHAPEFILE_PUBLISHER&DataInputs=PublicationLevel=PUBLIC;MapTitle=TestShape;ShapeFileName=shapefile2.shp;MapAbstract=Test;Shape

FileZip=http://data.d4science.org/Z252VlVHRWNabFJmcElhcUlmQUpWcU1RM1ByVEQxK1lHbWJQNStIS0N6Yz0;Topics=Test|GP;

I get the following error:

"tried to access method org.gcube.portlets.user.urlshortener.UrlShortener.(Ljava/lang/String;)V from class

org.gcube.portlets.user.uriresolvermanager.UriResolverManager"

The same happens for Shapefiles importing:

http://dataminer1-d-d4s.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=3a8e6a79-1ae0-4

13f-9121-0d59e5f2cea2-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducere

rs.SHAPEFILE_PUBLISHER&DataInputs=PublicationLevel=PUBLIC;MapTitle=TestShape;ShapeFileName=shapefile2.shp;MapAbstract=Test;Shape

FileZip=http://data.d4science.org/Z252VlVHRWNabFJmcElhcUlmQUpWcU1RM1ByVEQxK1lHbWJQNStIS0N6Yz0;Topics=Test|GP;

#18 - May 26, 2017 02:22 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Gianpaolo Coro

There was an old library uri-resolver-manager. I've just updated it and now it works fine. Please, could you retry?

#19 - May 26, 2017 05:16 PM - Gianpaolo Coro

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

OK, it works! All the tests are passed.
